#!/bin/sh
#by puppy_apprentice
IFS=','
bbcode="[u]Last update: $(date)[/u]\n"
while read -r line || [ -n "$line" ]
do
	array=($line)
	category=${array[0]}
	name=${array[1]}
	link=${array[2]}
	if [[ $categories != *"$category"* ]]; then
	categories+="$category,"
	fi
	declare table_body_$category+="[*][url=$link]$name[/url]"
	
done < $1
for cat in $categories
do
temp=table_body_$cat
bbcode+="[b]$cat[/b][list=1]${!temp}[/list]"
done
echo -e $bbcode | xclip -selection clipboard